:root {
    --bs-primary: #48afe8;
    --bs-primary-hover: #23a0e4;
    --bs-success: #77c100;
    --bs-success-hover: #6bad00;
    --bs-danger: #ff3a43;
    --bs-info: #25d366;
}

* {
    font-family: "Inter", serif;
    font-optical-sizing: auto;
    font-weight: 300;
    font-style: normal;
}

html,
body {
    height: calc(100% - 60px);
    font-family: Arial, Helvetica, sans-serif;
}

main {
    margin-top: 60px;
    min-height: calc(100vh - 117px);
    /* 60 navbar + 57 footer */
}

.h-90 {
    min-height: calc(100vh - 117px);
}

.td-none {
    text-decoration: none !important;
    color: #fff;
}

.bg-primary {
    background-color: var(--bs-primary) !important;
    color: #fff;
}

.bg-primary-hover {
    background-color: var(--bs-primary-hover) !important;
}

.bg-info {
    background-color: var(--bs-info) !important;
}

.bg-azul {
    background-color: #2b6ca8 !important;
}

.btn-primary {
    --bs-btn-bg: var(--bs-primary) !important;
    --bs-btn-border-color: var(--bs-primary) !important;
    --bs-btn-hover-bg: var(--bs-primary-hover) !important;
    --bs-btn-hover-border-color: var(--bs-primary-hover) !important;
    color: #fff;
}

.btn-success {
    --bs-btn-bg: var(--bs-success) !important;
    --bs-btn-border-color: var(--bs-success) !important;
    --bs-btn-hover-bg: var(--bs-success-hover) !important;
    --bs-btn-hover-border-color: var(--bs-success-hover) !important;
    color: #fff;
}

.btn-primary:hover {
    background-color: #1778bd !important;
    color: #fff;
}

.text-primary {
    color: var(--bs-primary) !important;
}

.text-primary-hover {
    color: var(--bs-primary-hover) !important;
}

.text-success {
    color: var(--bs-success) !important;
}

#loader {
    background-color: rgba(240, 240, 240, 0.9);
    z-index: 9999;
}

.slider-ratio {
    --bs-aspect-ratio: 40%;
}

.transparent {
    background-color: rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(5px);
}

.carousel-caption {
    left: 25% !important;
    right: 25% !important;
}

.shadow-plan {
    box-shadow: 0 .125rem .25rem rgba(0, 0, 0, .075) !important;
}

.waves {
    background-color: var(--bs-success);
    position: relative;
    overflow: hidden;
}

#shape {
    position: absolute;
    bottom: -2vw;
    left: 0;
    width: 100%;
}

.waves img:not(#shape) {
    position: absolute;
    left: 0;
    width: 100%;
}

.waves img:nth-child(1) {
    opacity: .4;
    bottom: -0.1vw;
    animation: move-1 4.5s infinite;
}

@keyframes move-1 {
    50% {
        transform: translateY(15px);
    }
}

.waves img:nth-child(2) {
    opacity: .3;
    bottom: 0.5vw;
    animation: move-2 4s infinite;
}

@keyframes move-2 {
    50% {
        transform: translateY(25px);
    }
}

.waves img:nth-child(3) {
    opacity: .2;
    bottom: 0.3vw;
    animation: move-3 5s infinite;
}

@keyframes move-3 {
    50% {
        transform: translateY(30px);
    }
}

.speech-bubble {
    position: relative;
    border: 1px solid #d9d9d9;
    border-radius: .5em;
    min-height: 120px;
    transition: opacity 0.3s ease-in-out, visibility 0.3s ease-in-out;
    opacity: 0;
    visibility: hidden;
}

.speech-bubble.show {
    opacity: 1;
    visibility: visible;
}

.speech-bubble:after {
    content: '';
    position: absolute;
    left: 0;
    top: 90px;
    border: 45px solid transparent;
    border-right-color: #ffffff;
    border-left: 0;
    border-bottom: 0;
    margin-top: -22px;
    margin-left: -45px;
}

.speech-bubble:before {
    content: '';
    position: absolute;
    left: -1px;
    top: 91px;
    border: 46px solid transparent;
    border-right-color: #d9d9d9;
    border-left: 0;
    border-bottom: 0;
    margin-top: -23px;
    margin-left: -46px;
}

.nosotros {
    background-image: url('nosotros.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.logo-loader {
  width: 100px;
  height: 100px;
  padding: 10px;
  background-color: white; /* o transparente si quieres */
  border-radius: 50%;
  animation: breathing-heart 1.5s ease-in-out infinite;
  box-shadow: 0px 0px 25px var(--bs-success);
  opacity: .8;
  position: relative;
  left: 20px;
  margin-bottom: 1rem;
  display: flex;
  justify-content: center;
  align-items: center;
}

.img-loader {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

/*mapa*/
#mapa {
    position: relative;
    width: 100%;
    height: 0;
    padding-bottom: 100%;
    background: url("mapa.svg") no-repeat center center;
    background-size: cover;
}


.punto {
    position: absolute;
    width: 20px;
    height: 20px;
    background-image: url('logocruz.svg');
    background-size: cover;
    border-radius: 50%;
    cursor: pointer;
    transition: all 0.3s ease;
}

.punto:hover {
    animation: honda 1.5s infinite;
    width: 25px;
    height: 25px;
}

.punto.active {
    /* background-color: #1A1EF0; */
    animation: ondaAzul 1.5s infinite;
    opacity: .8;
    border: solid 1px #058ee9a6;;
    width: 30px;
    height: 30px;
}

@keyframes honda {
    0% {
        box-shadow: 0 0 0 0 rgba(119, 193, 0, 0.8);
    }

    70% {
        box-shadow: 0 0 20px 20px rgba(255, 0, 0, 0);
    }

    100% {
        box-shadow: 0 0 0 0 rgba(255, 0, 0, 0);
    }
}

@keyframes ondaAzul {
    0% {
        box-shadow: 0 0 0 0 rgba(0, 138, 229, 0.8);
    }

    70% {
        box-shadow: 0 0 25px 25px rgba(0, 0, 255, 0);
    }

    100% {
        box-shadow: 0 0 0 0 rgba(0, 0, 255, 0);
    }
}

/* Animación de respiración */
@keyframes breathing-heart {
    0% {
        transform: scale(1);
    }

    50% {
        transform: scale(1.2);
    }

    100% {
        transform: scale(1);
    }
}

.heart-rate {
    width: 140px;
    height: 70px;
    animation: breathing-lin 1.5s ease-in-out infinite;
}

@keyframes breathing-lin {
    0% {
        transform: scale(1.2);
    }

    50% {
        transform: scale(1);
    }

    100% {
        transform: scale(1.2);
    }
}

@media (max-width: 768px) {

    /* Inferior a 768px md */
    .slider-ratio {
        --bs-aspect-ratio: 100%;
    }

    .w-50 {
        width: 90% !important;
    }

    .carousel-caption {
        left: 5% !important;
        right: 5% !important;
    }

    .shadow-plan {
        box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .15) !important;
    }

    .speech-bubble:after {
        top: 0;
        left: 90px;
        width: 0;
        height: 0;
        border: 44px solid transparent;
        border-bottom-color: #ffffff;
        transform: scaleX(-1);
        border-top: 0;
        border-left: 0;
        margin-left: -22px;
        margin-top: -43px;
    }

    .speech-bubble:before {
        top: 0;
        left: 90px;
        width: 0;
        height: 0;
        border: 46px solid transparent;
        border-bottom-color: #d9d9d9;
        transform: scaleX(-1);
        border-top: 0;
        border-left: 0;
        margin-left: -23px;
        margin-top: -46px;
    }
}

.img-noticias {
    width: 100%;
    height: 220px;
    object-fit: cover;
}

.img-slider {
    object-fit: cover !important;
}

.fondo {
    background-image: url('huella.svg');
    background-position: 100% 100%;
    background-size: 15% auto;
    background-repeat: no-repeat;
}

.fondo-30 {
    background-size: 30% auto;
}

.fondo-blue {
    background-image: url('huellaBlue.svg');
}